package reader

import (
	"fmt"
	"strings"
	"tipitypy/db"
)

func GetSourceLine() (string, error) {
	dbc := db.Connect()
	var res []string
	err := dbc.Raw(`SELECT value FROM words WHERE deleted_at IS NULL ORDER BY RANDOM() LIMIT 10;`).Scan(&res).Error
	if err != nil {
		return "", fmt.Errorf("dbc.Raw: %w", err)
	}
	return strings.Join(res, " "), nil
}
